//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("HangHoa")]
    public partial class HangHoa
    {

        [Key]
        public string MaHang { get; set; }

        public int MaDonViTinh { get; set; }
        public string TenHang { get; set; }
        public int MaNhomHH { get; set; }
        public int MaTinhChat { get; set; }
        public string DonViTinh { get; set; }
        public string BaoHanh { get; set; }
        public string NguonGoc { get; set; }
        public string MoTa { get; set; }
        public Nullable<double> GiaNhap { get; set; }
        public Nullable<double> GiaBan { get; set; }
        public Nullable<Double> TonKho { get; set; }
        public Nullable<double> GiaKhuyenMai { get; set; }
        public string KhuyenMai2 { get; set; }
        public Nullable<double> GiaNhapCuoi { get; set; }
        public Nullable<double> VAT { get; set; }
        public Nullable<double> ChietKhau { get; set; }
        public Nullable<DateTime> HanSuDung { get; set; }
        public string ThanhPham { get; set; }
        public string SoLo { get; set; }
        public string HinhAnh { get; set; }
        public string NhieuHinhAnh { get; set; }
        public string NguoiSua { get; set; }
        public Nullable<System.DateTime> NgaySua { get; set; }
        public Nullable<System.DateTime> NgayNhap { get; set; }
        public string NguoiNhap { get; set; }
        public string MaVach { get; set; }
        public string MaNhaCungCap { get; set; }
        public Nullable<int> MaThuongHieu { get; set; }
        public Nullable<Double> DinhMucTonItNhat { get; set; }
        public Nullable<Double> DinhMucTonNhieuNhat { get; set; }
        public Nullable<bool> NgungKinhDoanh { get; set; }
        public Nullable<bool> DaXoa { get; set; }
        public Nullable<bool> YeuThich { get; set; }
        public string GhiChu { get; set; }
        public Nullable<double> TrongLuong { get; set; }
        public string ViTri { get; set; }
        public Nullable<int> KhachHangDat { get; set; }
        public Nullable<System.DateTime> DuKienHetHang { get; set; }



       
        public virtual NhomHangHoa NhomHangHoa { get; set; }
       
        public IEnumerable<getdvt> getdvt { get; set; }
    }
}
